# Class FileChannel.MapMode

java.lang.Object
java.nio.channels.FileChannel.MapMode

Enclosing class:
  `FileChannel`

public static class FileChannel.MapMode extends Object
A file-mapping mode.

Since:
  1.4
See Also:
  - `FileChannel.map(FileChannel.MapMode, long, long)`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final FileChannel.MapMode`
`PRIVATE`
Mode for a private (copy-on-write) mapping.
`static final FileChannel.MapMode`
`READ_ONLY`
Mode for a read-only mapping.
`static final FileChannel.MapMode`
`READ_WRITE`
Mode for a read/write mapping.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string describing this file-mapping mode.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### READ_ONLY

public static final FileChannel.MapMode READ_ONLY
Mode for a read-only mapping.

### READ_WRITE

public static final FileChannel.MapMode READ_WRITE
Mode for a read/write mapping.

### PRIVATE

public static final FileChannel.MapMode PRIVATE
Mode for a private (copy-on-write) mapping.

## Method Details

### toString

public String toString()
Returns a string describing this file-mapping mode.

Overrides:
  `toString` in class `Object`
Returns:
  A descriptive string